Package org.drinkless.tdlib

# Class TdApi.PremiumGiftCodePaymentOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumGiftCodePaymentOption

Enclosing class:
  TdApi

public static class TdApi.PremiumGiftCodePaymentOption extends TdApi.Object
Describes an option for creating Telegram Premium gift codes. Use telegramPaymentPurposePremiumGiftCodes for out-of-store payments.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  The amount to pay, in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code for Telegram Premium gift code payment.
  `int`
  `monthCount`
  Number of months the Telegram Premium subscription will be active.
  `String`
  `storeProductId`
  Identifier of the store product associated with the option; may be empty if none.
  `int`
  `storeProductQuantity`
  Number of times the store product must be paid.
  `int`
  `userCount`
  Number of users which will be able to activate the gift codes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumGiftCodePaymentOption()`
  Describes an option for creating Telegram Premium gift codes.
  `PremiumGiftCodePaymentOption(String currency, long amount, int userCount, int monthCount, String storeProductId, int storeProductQuantity)`
  Describes an option for creating Telegram Premium gift codes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### currency

    public String currency
    ISO 4217 currency code for Telegram Premium gift code payment.

  - ### amount

    public long amount
    The amount to pay, in the smallest units of the currency.

  - ### userCount

    public int userCount
    Number of users which will be able to activate the gift codes.

  - ### monthCount

    public int monthCount
    Number of months the Telegram Premium subscription will be active.

  - ### storeProductId

    public String storeProductId
    Identifier of the store product associated with the option; may be empty if none.

  - ### storeProductQuantity

    public int storeProductQuantity
    Number of times the store product must be paid.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumGiftCodePaymentOption

    public PremiumGiftCodePaymentOption()
    Describes an option for creating Telegram Premium gift codes. Use telegramPaymentPurposePremiumGiftCodes for out-of-store payments.

  - ### PremiumGiftCodePaymentOption

    public PremiumGiftCodePaymentOption(String currency, long amount, int userCount, int monthCount, String storeProductId, int storeProductQuantity)
    Describes an option for creating Telegram Premium gift codes. Use telegramPaymentPurposePremiumGiftCodes for out-of-store payments.
    Parameters:
      `currency` - ISO 4217 currency code for Telegram Premium gift code payment.
      `amount` - The amount to pay, in the smallest units of the currency.
      `userCount` - Number of users which will be able to activate the gift codes.
      `monthCount` - Number of months the Telegram Premium subscription will be active.
      `storeProductId` - Identifier of the store product associated with the option; may be empty if none.
      `storeProductQuantity` - Number of times the store product must be paid.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR